> For the complete documentation index, see [llms.txt](https://docs.caturra.social/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caturra.social/api/v1/endpoints/post.md).

# Post

So many changes will be made here as we perfect the wording of posts and replies and how they interact with one another.

## Get Post

<mark style="color:blue;">`GET`</mark> `/post/{UUID}`

### Scopes

> <mark style="color:yellow;">`post.get`</mark> / <mark style="color:yellow;">`reply.get`</mark>

### Response

{% tabs %}
{% tab title="200" %}

<pre class="language-json"><code class="lang-json">{
    "uuid": "string",
    "parent": <a data-footnote-ref href="#user-content-fn-1">{"parent object"}</a>,
    "author": {"user object"},
    "content": "string",
    "from": {"application object"},
    "locked": "boolean",
    "reply_count": int,
    "like_count": int,
    "created_at": timestamp
}
</code></pre>

{% endtab %}
{% endtabs %}

## Get Post Replies

<mark style="color:blue;">`GET`</mark> `/post/{UUID}/replies/{page}`

### Scopes

> <mark style="color:yellow;">`post.get`</mark>, <mark style="color:yellow;">`reply.get`</mark>

### Response

{% tabs %}
{% tab title="200" %}

```json
{
    "post": {"post object"},
    "replies": [
        {"post object"},
        {"post object"},
        {"post object"},
        {"post object"},
        {"post object"}
    ]
}
```

{% endtab %}
{% endtabs %}

## Send Post

<mark style="color:yellow;">`POST`</mark> `/post`

### Scopes

> <mark style="color:yellow;">`post.get`</mark>, <mark style="color:yellow;">`post.send`</mark> / <mark style="color:yellow;">`reply.get`</mark>, <mark style="color:yellow;">`reply.post`</mark>

### Body

| Name    | Type    | Notes                                    |
| ------- | ------- | ---------------------------------------- |
| content | String  | Max 500 Characters                       |
| locked  | Boolean |                                          |
| parent  | String  | The ID of the post you want to reply too |

### Response

{% tabs %}
{% tab title="200" %}

<pre class="language-json"><code class="lang-json">{
    "uuid": "string",
    "parent": <a data-footnote-ref href="#user-content-fn-1">{"parent object"}</a>,
    "author": {"user object"},
    "content": "string",
    "from": {"application object"},
    "locked": "boolean",
    "reply_count": int,
    "like_count": int,
    "created_at": timestamp
}
</code></pre>

{% endtab %}
{% endtabs %}

## Update Post

<mark style="color:purple;">`PATCH`</mark> `/post/{UUID}`

### Scopes

> <mark style="color:yellow;">`post.get`</mark>, <mark style="color:yellow;">`post.edit`</mark> / <mark style="color:yellow;">`reply.get`</mark>, <mark style="color:yellow;">`reply.edit`</mark>

### Body

| Name    | Type    | Notes              |
| ------- | ------- | ------------------ |
| content | String  | Max 500 Characters |
| locked  | Boolean |                    |

### Response

{% tabs %}
{% tab title="200" %}

```json
{
    "post object"
}
```

{% endtab %}
{% endtabs %}

## Delete Post

<mark style="color:red;">`DELETE`</mark> `/post/{UUID}`

### Scopes

> <mark style="color:yellow;">`post.get`</mark>, <mark style="color:yellow;">`post.delete`</mark> / <mark style="color:yellow;">`reply.get`</mark>, <mark style="color:yellow;">`reply.delete`</mark>

### Response

{% tabs %}
{% tab title="200" %}

```json
{
    "post object"
}
```

{% endtab %}
{% endtabs %}

## Like/Unlike

<mark style="color:yellow;">`POST`</mark> `/post/{UUID}/like`

### Scopes

> <mark style="color:yellow;">`post.get`</mark>, <mark style="color:yellow;">`post.like`</mark> / <mark style="color:yellow;">`reply.get`</mark>, <mark style="color:yellow;">`reply.like`</mark>

### Response

{% tabs %}
{% tab title="200" %}

```json
{
    "action": "liked",
    "uuid": "string"
}
```

```json
{
    "action": "unliked",
    "uuid": "string"
}
```

{% endtab %}
{% endtabs %}

[^1]: Excludes Replies


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caturra.social/api/v1/endpoints/post.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
